<template>
    <div
        v-if="data"
        class="page-container"
    >
        <div class="shop-title">
            Geographic Permissions
        </div>
        <div
            v-if="data"
            class="table-responsive"
        >
            <table class="table-hover">
                <thead class="table-header">
                    <tr>
                        <th class="reminders-text">
                            Country
                        </th>
                        <th>Price</th>
                        <th>Use Alphanumeric Sender ID</th>
                    </tr>
                </thead>
                <tbody class="table-body">
                    <tr
                        v-for="(country, index) in data"
                        :key="index"
                        class="table-body-row"
                    >
                        <th class="first-column">
                            <PrettyCheck
                                v-model="country.status"
                                class="p-svg"
                            >
                                <svg
                                    style="width:17px;height:17px"
                                    viewBox="0 0 24 24"
                                    class="svg svg-icon"
                                >
                                    <path
                                        fill="#4786FF"
                                        d="M9,20.42L2.79,14.21L5.62,11.38L9,14.77L18.88,4.88L21.71,7.71L9,20.42Z"
                                    />
                                </svg>
                                <div class="country-title">
                                    {{ country.country }}
                                </div>
                            </PrettyCheck>
                        </th>
                        <th>
                            {{ country.price }}
                        </th>
                        <th>
                            <PrettyCheck
                                v-model="country.alpha_sender_status"
                                class="p-svg"
                            >
                                <svg
                                    style="width:17px;height:17px"
                                    viewBox="0 0 24 24"
                                    class="svg svg-icon"
                                >
                                    <path
                                        fill="#4786FF"
                                        d="M9,20.42L2.79,14.21L5.62,11.38L9,14.77L18.88,4.88L21.71,7.71L9,20.42Z"
                                    />
                                </svg>
                            </PrettyCheck>
                        </th>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="save-geo-permission">
            <button
                class="btn blue-btn"
                @click="save"
            >
                Save
            </button>
        </div>
    </div>
</template>

<script>
import PrettyCheck from 'pretty-checkbox-vue/check'
import countries from '../../mixins/admin/geopermission.service'

export default {
    name: "AdminGeoPermissions",
    components: {PrettyCheck},
    mixins: [countries],
    data() {
        return {
            data: null,
            countries: [],
            permissions: [],
        }
    },
    created() {
        this.loadData()
    },
    methods: {
        async loadData() {
            await this.loadCountries().then(res => {
                this.data = res.data
            })
        },
        async save() {
            this.data.map(country => {
                if (country.status) {
                    this.countries.push(country.id)
                }
                if (country.alpha_sender_status) {
                    this.permissions.push(country.id)
                }
            })
            await this.update({
                "countries": this.countries,
                "alpha_senders": this.permissions

            }).then(res => {
                this.$notify({
                    type: 'success',
                    title: 'Updated'
                });
            }).catch(error => {
                console.log(error)
            })
        }
    }
}
</script>

<style scoped lang="scss">
@import "resources/css/colors";
@import '~pretty-checkbox/src/scss/variables';
@import '~pretty-checkbox/src/scss/core';
@import '~pretty-checkbox/src/scss/states/indeterminate';

.table-hover {
    min-width: auto;
}
.shop-title {
    font-size: 28px;
    color: $blue-color;
    margin-bottom: 15px;
}

.country-title {
    margin-left: 5px;
}

.page-container {
    padding-top: 40px;
    @media(max-width: 770px) {
        padding-top: 80px;
    }
}

.first-column {
    text-align: left;
}

.twilio-message-container {
    color: #31708f;
    background-color: #d9edf7;
    border: 1px solid #bce8f1;
    padding: 15px;
    margin-bottom: 20px;
    border-radius: 4px;
}
.save-geo-permission {
    position: fixed;
    bottom: 110px;
    right: 50px;
    z-index: 10000;
    @media(max-width: 560px) {
        right: 15px;
    }
}

</style>
